=== debian/control ===
Source: kernel-module-dmloop
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-module-dmloop
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dm_loop, a mapped loop device for speedy access
