## kernel-module-dmloop 0.1-maemo2

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Makefile for the kernel software RAID and LVM drivers.
 #
 
-dm-mod-objs	:= dm.o dm-table.o dm-target.o dm-linear.o dm-stripe.o \
-		   dm-ioctl.o dm-io.o dm-kcopyd.o 
+dm-mod-objs	:= dm-table.o dm-target.o dm-linear.o dm-stripe.o \
+		   dm-ioctl.o dm-io.o dm-kcopyd.o dm.o
 dm-multipath-objs := dm-path-selector.o dm-mpath.o
 dm-snapshot-objs := dm-snap.o dm-exception-store.o
 dm-mirror-objs	:= dm-raid1.o
@@ -56,7 +56,7 @@
 
 kernel-ver := 2.6.28-omap1
 PWD := $(shell pwd)
-obj-m := dm-mod.o dm-loop.o
+obj-m := dm-mod.o dm-loop.o 
 
 KDIR := /lib/modules/$(kernel-ver)/build
 
@@ -66,8 +66,7 @@
 
 build:
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
-	strip --strip-debug dm-mod.ko
-	strip --strip-debug dm-loop.ko
+	strip --strip-debug *.ko
 
 clean:
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean
