=== debian/changelog ===
kernel-module-dmloop (0.1-maemo2) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 05 Feb 2010 15:00:00 +0100
