=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	mkdir debian/kernel-module-dmloop/lib
 	mkdir debian/kernel-module-dmloop/lib/modules
 	mkdir debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
-	cp -f ./dm-loop.ko debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
+	cp -f ./*.ko debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
 	
 	# Install Event Startup File
 	mkdir debian/kernel-module-dmloop/etc
